rte_hash_parameters(3)

NAME
rte_hash_parameters

SYNOPSIS

#include <rte_hash.h>

  Data Fields

const char * name
uint32_t entries
uint32_t reserved
uint32_t key_len
rte_hash_function hash_func
uint32_t hash_func_init_val
int socket_id
uint8_t extra_flag

Detailed Description

Parameters used when creating the hash table.

Definition at line 82 of file rte_hash.h.

Field Documentation

  const char* name
Name of the hash.

Definition at line 83 of file rte_hash.h.

  uint32_t entries
Total hash table entries.

Definition at line 84 of file rte_hash.h.

  uint32_t reserved
Unused field. Should be set to 0

Definition at line 85 of file rte_hash.h.

  uint32_t key_len
Length of hash key.

Definition at line 86 of file rte_hash.h.

  rte_hash_function hash_func
Primary Hash function used to calculate hash.

Definition at line 87 of file rte_hash.h.

  uint32_t hash_func_init_val
Init value used by hash_func.

Definition at line 88 of file rte_hash.h.

  int socket_id
NUMA Socket ID for memory.

Definition at line 89 of file rte_hash.h.

  uint8_t extra_flag
Indicate if additional parameters are present.

Definition at line 90 of file rte_hash.h.

Author

Generated automatically by Doxygen for DPDK from the source code.